# Obtain Basic Domain Information - GetUcdnDomainInfoList

## Overview

Obtain Basic Domain Information






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUcdnDomainInfoList`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **PageSize** | int | The size of the pagination, if not filled, the default is 20 per page. |No|
| **PageIndex** | int | Return which page, starting from index 1. If not filled, the default is page 1. Filling in 0 means returning all data without pagination. |No|
| **QueryByProject** | boolean | Query by project, true and false Default is false |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of domain names under the account |**Yes**|
| **DomainInfoList** | array[[*DomainBaseInfo*](#domainbaseinfo)] | Domain Basic Information |**Yes**|

#### Data Model


#### DomainBaseInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Domain** | string | Domain Name |**Yes**|
| **DomainId** | string | Resource id of the domain |**Yes**|

## Example

### Request Example
    
```
https://api.dezai.com/?Action=GetUcdnDomainInfoList
&ProjectId=FbIiIwSw
&PageSize=2
&PageIndex=1
&QueryByProject=false
```

### Response Example
    
```json
{
  "Action": "GetUcdnDomainInfoListResponse",
  "DomainInfoList": [
    {
      "Domain": "xx.ucloud.com",
      "DomainId": "ucdn-asdHd3lj"
    }
  ],
  "RetCode": 0,
  "TotalCount": 1
}
```





